package com.vr.tabletest;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
 
@ManagedBean(name="order")
@SessionScoped
public class OrderBean implements Serializable{

	private static final long serialVersionUID = 1L;

	private static final Order[] orderList1 = new Order[] {
		
		new Order("A0001", "Intel CPU", 
				new BigDecimal("700.00"), 1),
		new Order("A0002", "Harddisk 10TB", 
				new BigDecimal("500.00"), 2),
		new Order("A0003", "Dell Laptop", 
				new BigDecimal("11600.00"), 8),
		new Order("A0004", "Samsung LCD", 
				new BigDecimal("5200.00"), 3),
		new Order("A0005", "A4Tech Mouse", 
				new BigDecimal("100.00"), 10)
	};
	
	private static final Order[] orderList2 = new Order[] {
		
		new Order("B0001", "Mac CPU", 
				new BigDecimal("700.00"), 3),
		new Order("B0002", "Harddisk 10GB", 
				new BigDecimal("500.00"), 8),
		new Order("B0003", "Toshiba Laptop", 
				new BigDecimal("11600.00"), 9),
		new Order("B0004", "Lenovo LCD", 
				new BigDecimal("5200.00"), 12),
		new Order("B0005", "IBM Mouse", 
				new BigDecimal("100.00"), 14)
	};
	
	private boolean toggleparam=true;
	 
	public Order[] getOrderList1() {
 
		return orderList1;
 
	}
	
	public Order[] getOrderList2() {
		 
		return orderList2;
 
	}
	
	public boolean isToggleparam() {
		return toggleparam;
	}

	public void setToggleparam(boolean toggleparam) {
		this.toggleparam = toggleparam;
	}

	public Order[] toggleOrder(){
		if(isToggleparam()){
			setToggleparam(false);
			return getOrderList2();
			
		}
		else{
			setToggleparam(true);
			return getOrderList1();
		}
		
		
	}

	public static class Order{
		
		String orderNo;
		String productName;
		BigDecimal price;
		int qty;

		public Order(String orderNo, String productName, BigDecimal price, int qty) {
			this.orderNo = orderNo;
			this.productName = productName;
			this.price = price;
			this.qty = qty;
		}
		
		public String getOrderNo() {
			return orderNo;
		}
		public void setOrderNo(String orderNo) {
			this.orderNo = orderNo;
		}
		public String getProductName() {
			return productName;
		}
		public void setProductName(String productName) {
			this.productName = productName;
		}
		public BigDecimal getPrice() {
			return price;
		}
		public void setPrice(BigDecimal price) {
			this.price = price;
		}
		public int getQty() {
			return qty;
		}
		public void setQty(int qty) {
			this.qty = qty;
		}
	}
}